#!/bin/sh -eu

build_test_all() {
	local ALL_SHELLS shell
	readonly ALL_SHELLS='dash bash posh mksh'

	cd "${0%/*}"

	make distclean || true
	./configure
	make
	make test
	make checksums

	for shell in ${ALL_SHELLS}; do
		make distclean
		./configure --shell "${shell}"
		make
		make test
		shasum --check < sh.SHA1SUMS
	done
}

build_test_all
